Module | Sequel::Plugins::InstanceFilters::InstanceMethods
In: | lib/sequel/plugins/instance_filters.rb

### Methods

after_destroy after_update instance_filter

### Public Instance methods

after_destroy()

Clear the instance filters after successfully destroying the object.

[Source]

        # File lib/sequel/plugins/instance_filters.rb, line 51
    51:         def after_destroy
    52:           super
    53:           clear_instance_filters
    54:         end

after_update()

Clear the instance filters after successfully updating the object.

[Source]

        # File lib/sequel/plugins/instance_filters.rb, line 57
    57:         def after_update
    58:           super
    59:           clear_instance_filters
    60:         end

instance_filter(*args, &block)

Add an instance filter to the array of instance filters Both the arguments given and the block are passed to the dataset‘s filter method.

[Source]

        # File lib/sequel/plugins/instance_filters.rb, line 65
    65:         def instance_filter(*args, &block)
    66:           instance_filters << [args, block]
    67:         end

[Validate]